This endpoint retrieves work eligibility information for a specific employee.
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/work_eligibilityPath Parameters
The ID of the organisation to retrieve
The ID of the employee to retrieve
Response Body
A hash with a data property that contains the work eligibility object for the specified employee.
Unique identifier for the object.
Whether the employee is an oceanic resident.
Whether work eligibility has been acknowledged.
The current status of the employee's visa.
Whether the visa has been verified.
Object containing visa information including type, expiry date, and comments.
The current status of the employee's passport.
Object containing passport information including number, expiry date, and issue country.
Array of documents related to work eligibility.
Array of VEVO (Visa Entitlement Verification Online) check results.
Example
curl -X GET \ "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/work_eligibility" \ -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"Response
{ "data": { "id": "be19383c-6130-451b-8222-819b7127e2fb", "is_oceanic_resident": false, "work_eligibility_acknowledged": true, "visa_status": "expired", "visa_verified": true, "default_visa_details": { "visa_type": "TZ / 417", "visa_comment": "visa comment here", "visa_expiry_date": "2025-11-13T00:00:00+00:00", "visa_start_date": "2025-11-13T00:00:00+00:00" }, "passport_status": "valid", "passport_details": { "passport_number": "548133996", "passport_expiry_date": "2027-06-09T00:00:00+00:00", "passport_issue_country": "GB" }, "documents": [ { "id": 89575, "filename": "Work eligibility document file name (eg: VISA 8547)", "url": "file_url_here", "created_at": "2025-03-29T11:36:07+11:00" } ], "vevo_checks": [ { "date": "2025-03-29T11:36:15+11:00", "status": "success", "details": { "visa_class_subclass": "TZ / 417", "visa_stream": null, "visa_applicant": "Primary", "visa_grant_date": "16 July 2025", "visa_expiry_date": "13 November 2035", "work_entitlements": "work entitlements details here", "visa_valid_at": "Thursday March 29, 2025 11:36:16 (AEDT) Canberra, Australia (GMT +1100)", "visa_condition": "visa condition here" }, "error": null, "error_message": null } ] }}